Index: src/main/java/net/sf/ehcache/distribution/RMIAsynchronousCacheReplicator.java
===================================================================
--- src/main/java/net/sf/ehcache/distribution/RMIAsynchronousCacheReplicator.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/distribution/RMIAsynchronousCacheReplicator.java	(working copy)
@@ -16,18 +16,19 @@
 
 package net.sf.ehcache.distribution;
 
-import net.sf.ehcache.CacheException;
-import net.sf.ehcache.Ehcache;
-import net.sf.ehcache.Element;
-import net.sf.ehcache.Status;
-
 import java.io.Serializable;
 import java.rmi.UnmarshalException;
 import java.util.ArrayList;
 import java.util.LinkedList;
 import java.util.List;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.CacheException;
+import net.sf.ehcache.Ehcache;
+import net.sf.ehcache.Element;
+import net.sf.ehcache.Status;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * Listens to {@link net.sf.ehcache.CacheManager} and {@link net.sf.ehcache.Cache} events and propagates those to
@@ -55,7 +56,7 @@
 public class RMIAsynchronousCacheReplicator extends RMISynchronousCacheReplicator {
 
 
-    private static final Logger LOG = Logger.getLogger(RMIAsynchronousCacheReplicator.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(RMIAsynchronousCacheReplicator.class);
 
     /**
      * A thread which handles replication, so that replication can take place asynchronously and not hold up the cache
@@ -105,7 +106,7 @@
                 try {
                     Thread.sleep(asynchronousReplicationInterval);
                 } catch (InterruptedException e) {
-                    LOG.log(Level.FINE, "Spool Thread interrupted.");
+                    LOG.debug("Spool Thread interrupted.");
                     return;
                 }
             }
@@ -117,7 +118,7 @@
                     flushReplicationQueue();
                 }
             } catch (Throwable e) {
-                LOG.log(Level.SEVERE, "Exception on flushing of replication queue: " + e.getMessage()
+                LOG.error("Exception on flushing of replication queue: " + e.getMessage()
                         + ". Continuing...", e);
             }
         }
@@ -143,18 +144,15 @@
 
         if (replicatePutsViaCopy) {
             if (!element.isSerializable()) {
-                if (LOG.isLoggable(Level.WARNING)) {
-                    LOG.log(Level.WARNING, "Object with key " + element.getObjectKey()
-                            + " is not Serializable and cannot be replicated.");
-                }
+                LOG.warn("Object with key is not Serializable and cannot be replicated.");
                 return;
             }
             addToReplicationQueue(new CacheEventMessage(EventMessage.PUT, cache, element, null));
         } else {
             if (!element.isKeySerializable()) {
-                if (LOG.isLoggable(Level.WARNING)) {
-                    LOG.log(Level.WARNING, "Object with key " + element.getObjectKey()
-                            + " does not have a Serializable key and cannot be replicated via invalidate.");
+                if (LOG.isWarnEnabled()) {
+                    LOG.warn("Object with key {} does not have a Serializable key and cannot be" +
+                            " replicated via invalidate.", element.getObjectKey());
                 }
                 return;
             }
@@ -186,18 +184,18 @@
 
         if (replicateUpdatesViaCopy) {
             if (!element.isSerializable()) {
-                if (LOG.isLoggable(Level.WARNING)) {
-                    LOG.log(Level.WARNING, "Object with key " + element.getObjectKey()
-                            + " is not Serializable and cannot be updated via copy.");
+                if (LOG.isWarnEnabled()) {
+                    LOG.warn("Object with key {} is not Serializable and cannot be updated via copy.",
+                            element.getObjectKey());
                 }
                 return;
             }
             addToReplicationQueue(new CacheEventMessage(EventMessage.PUT, cache, element, null));
         } else {
             if (!element.isKeySerializable()) {
-                if (LOG.isLoggable(Level.WARNING)) {
-                    LOG.log(Level.WARNING, "Object with key " + element.getObjectKey()
-                            + " does not have a Serializable key and cannot be replicated via invalidate.");
+                if (LOG.isWarnEnabled()) {
+                    LOG.warn("Object with key {} does not have a Serializable key and cannot be replicated " +
+                            "via invalidate.", element.getObjectKey());
                 }
                 return;
             }
@@ -228,8 +226,8 @@
         }
 
         if (!element.isKeySerializable()) {
-            if (LOG.isLoggable(Level.WARNING)) {
-                LOG.log(Level.WARNING, "Key " + element.getObjectKey() + " is not Serializable and cannot be replicated.");
+            if (LOG.isWarnEnabled()) {
+                LOG.warn("Key {} is not Serializable and cannot be replicated.", element.getObjectKey());
             }
             return;
         }
@@ -272,7 +270,7 @@
      */
     protected void addToReplicationQueue(CacheEventMessage cacheEventMessage) {
         if (!replicationThread.isAlive()) {
-            LOG.log(Level.SEVERE, "CacheEventMessages cannot be added to the replication queue"
+            LOG.error("CacheEventMessages cannot be added to the replication queue"
                     + " because the replication thread has died.");
         } else {
             synchronized (replicationQueue) {
@@ -320,22 +318,24 @@
             } catch (UnmarshalException e) {
                 String message = e.getMessage();
                 if (message.indexOf("Read time out") != 0) {
-                    LOG.log(Level.WARNING, "Unable to send message to remote peer due to socket read timeout. Consider increasing" +
+                    LOG.warn("Unable to send message to remote peer due to socket read timeout. Consider increasing" +
                             " the socketTimeoutMillis setting in the cacheManagerPeerListenerFactory. " +
-                            "Message was: " + e.getMessage());
+                            "Message was: {}", e.getMessage());
                 } else {
-                    LOG.log(Level.FINE, "Unable to send message to remote peer.  Message was: " + e.getMessage());
+                    LOG.debug("Unable to send message to remote peer.  Message was: {}", e.getMessage());
                 }
             } catch (Throwable t) {
-                LOG.log(Level.WARNING, "Unable to send message to remote peer.  Message was: " + t.getMessage(), t);
+                if (LOG.isWarnEnabled()) {
+                    LOG.warn("Unable to send message to remote peer.  Message was: " + t.getMessage(), t);
+                }
             }
         }
-        if (LOG.isLoggable(Level.WARNING)) {
+        if (LOG.isWarnEnabled()) {
             int eventMessagesNotResolved = replicationQueueCopy.size() - resolvedEventMessages.size();
             if (eventMessagesNotResolved > 0) {
-                LOG.log(Level.WARNING, eventMessagesNotResolved + " messages were discarded on replicate due to reclamation of " +
+                LOG.warn("{} messages were discarded on replicate due to reclamation of " +
                         "SoftReferences by the VM. Consider increasing the maximum heap size and/or setting the " +
-                        "starting heap size to a higher value.");
+                        "starting heap size to a higher value.", eventMessagesNotResolved);
             }
 
         }
Index: src/main/java/net/sf/ehcache/distribution/MulticastKeepaliveHeartbeatReceiver.java
===================================================================
--- src/main/java/net/sf/ehcache/distribution/MulticastKeepaliveHeartbeatReceiver.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/distribution/MulticastKeepaliveHeartbeatReceiver.java	(working copy)
@@ -16,8 +16,6 @@
 
 package net.sf.ehcache.distribution;
 
-import net.sf.ehcache.CacheManager;
-
 import java.io.IOException;
 import java.net.DatagramPacket;
 import java.net.InetAddress;
@@ -30,8 +28,11 @@
 import java.util.StringTokenizer;
 import java.util.concurrent.ExecutorService;
 import java.util.concurrent.Executors;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.CacheManager;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * Receives heartbeats from any {@link MulticastKeepaliveHeartbeatSender}s out there.
@@ -43,7 +44,7 @@
  */
 public final class MulticastKeepaliveHeartbeatReceiver {
 
-    private static final Logger LOG = Logger.getLogger(MulticastKeepaliveHeartbeatReceiver.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(MulticastKeepaliveHeartbeatReceiver.class);
 
     private ExecutorService processingThreadPool;
     private Set rmiUrlsProcessingQueue = Collections.synchronizedSet(new HashSet());
@@ -93,7 +94,7 @@
      * Shutdown the heartbeat.
      */
     public final void dispose() {
-        LOG.log(Level.FINE, "dispose called");
+        LOG.debug("dispose called");
         processingThreadPool.shutdownNow();
         stopped = true;
         receiverThread.interrupt();
@@ -125,13 +126,13 @@
 
                     } catch (IOException e) {
                         if (!stopped) {
-                            LOG.log(Level.SEVERE, "Error receiving heartbeat. " + e.getMessage() +
+                            LOG.error("Error receiving heartbeat. " + e.getMessage() +
                                     ". Initial cause was " + e.getMessage(), e);
                         }
                     }
                 }
             } catch (Throwable t) {
-                LOG.log(Level.SEVERE, "Multicast receiver thread caught throwable. Cause was " + t.getMessage() + ". Continuing...");
+                LOG.error("Multicast receiver thread caught throwable. Cause was " + t.getMessage() + ". Continuing...");
             }
         }
 
@@ -142,9 +143,7 @@
                 return;
             }
             rmiUrls = rmiUrls.trim();
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.fine("rmiUrls received " + rmiUrls);
-            }
+            LOG.debug("rmiUrls received {}", rmiUrls);
             processRmiUrls(rmiUrls);
         }
 
@@ -158,9 +157,7 @@
          */
         private void processRmiUrls(final String rmiUrls) {
             if (rmiUrlsProcessingQueue.contains(rmiUrls)) {
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, "We are already processing these rmiUrls. Another heartbeat came before we finished: " + rmiUrls);
-                }
+                LOG.debug("We are already processing these rmiUrls. Another heartbeat came before we finished: {}", rmiUrls);
                 return;
             }
 
@@ -181,9 +178,7 @@
                             String rmiUrl = stringTokenizer.nextToken();
                             registerNotification(rmiUrl);
                             if (!peerProvider.peerUrls.containsKey(rmiUrl)) {
-                                if (LOG.isLoggable(Level.FINE)) {
-                                    LOG.log(Level.FINE, "Aborting processing of rmiUrls since failed to add rmiUrl: " + rmiUrl);
-                                }
+                                LOG.debug("Aborting processing of rmiUrls since failed to add rmiUrl: {}", rmiUrl);
                                 return;
                             }
                         }
@@ -216,7 +211,7 @@
             try {
                 cacheManagerUrlBase = peer.getUrlBase();
             } catch (RemoteException e) {
-                LOG.log(Level.SEVERE, "Error geting url base");
+                LOG.error("Error geting url base");
             }
             int baseUrlMatch = rmiUrls.indexOf(cacheManagerUrlBase);
             return baseUrlMatch != -1;
@@ -234,7 +229,7 @@
             try {
                 socket.leaveGroup(groupMulticastAddress);
             } catch (IOException e) {
-                LOG.log(Level.SEVERE, "Error leaving group");
+                LOG.error("Error leaving group");
             }
             socket.close();
             super.interrupt();
Index: src/main/java/net/sf/ehcache/config/DiskStoreConfiguration.java
===================================================================
--- src/main/java/net/sf/ehcache/config/DiskStoreConfiguration.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/config/DiskStoreConfiguration.java	(working copy)
@@ -18,8 +18,9 @@
 
 
 import java.io.File;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * A class to represent DiskStore configuration
@@ -30,7 +31,7 @@
  */
 public final class DiskStoreConfiguration {
 
-    private static final Logger LOG = Logger.getLogger(DiskStoreConfiguration.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(DiskStoreConfiguration.class);
 
 
     /**
@@ -95,9 +96,7 @@
         translatedPath = replaceToken(File.separator + File.separator, File.separator, translatedPath);
 
 
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "Disk Store Path: " + translatedPath);
-        }
+        LOG.debug("Disk Store Path: {}", translatedPath);
         return translatedPath;
     }
 
Index: src/main/java/net/sf/ehcache/config/ConfigurationHelper.java
===================================================================
--- src/main/java/net/sf/ehcache/config/ConfigurationHelper.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/config/ConfigurationHelper.java	(working copy)
@@ -16,6 +16,14 @@
 
 package net.sf.ehcache.config;
 
+import java.util.HashMap;
+import java.util.HashSet;
+import java.util.Iterator;
+import java.util.List;
+import java.util.Map;
+import java.util.Properties;
+import java.util.Set;
+
 import net.sf.ehcache.Cache;
 import net.sf.ehcache.CacheException;
 import net.sf.ehcache.CacheManager;
@@ -41,15 +49,8 @@
 import net.sf.ehcache.util.ClassLoaderUtil;
 import net.sf.ehcache.util.PropertyUtil;
 
-import java.util.HashMap;
-import java.util.HashSet;
-import java.util.Iterator;
-import java.util.List;
-import java.util.Map;
-import java.util.Properties;
-import java.util.Set;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * The configuration for ehcache.
@@ -65,7 +66,7 @@
  */
 public final class ConfigurationHelper {
 
-    private static final Logger LOG = Logger.getLogger(ConfigurationHelper.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(ConfigurationHelper.class);
 
     private Configuration configuration;
     private CacheManager cacheManager;
@@ -145,7 +146,7 @@
             className = factoryConfiguration.getFullyQualifiedClassPath();
         }
         if (className == null) {
-            LOG.log(Level.FINE, "CacheEventListener factory not configured. Skipping...");
+            LOG.debug("CacheEventListener factory not configured. Skipping...");
         } else {
             CacheEventListenerFactory factory = (CacheEventListenerFactory)
                     ClassLoaderUtil.createNewInstance(className);
@@ -172,7 +173,7 @@
             className = factoryConfiguration.getFullyQualifiedClassPath();
         }
         if (className == null) {
-            LOG.log(Level.FINE, "CacheExtension factory not configured. Skipping...");
+            LOG.debug("CacheExtension factory not configured. Skipping...");
         } else {
             CacheExtensionFactory factory = (CacheExtensionFactory) ClassLoaderUtil.createNewInstance(className);
             Properties properties = PropertyUtil.parseProperties(factoryConfiguration.getProperties(),
@@ -195,7 +196,7 @@
             className = factoryConfiguration.getFullyQualifiedClassPath();
         }
         if (className == null) {
-            LOG.log(Level.FINE, "CacheLoader factory not configured. Skipping...");
+            LOG.debug("CacheLoader factory not configured. Skipping...");
         } else {
             CacheLoaderFactory factory = (CacheLoaderFactory) ClassLoaderUtil.createNewInstance(className);
             Properties properties = PropertyUtil.parseProperties(factoryConfiguration.getProperties(),
@@ -218,7 +219,7 @@
             className = factoryConfiguration.getFullyQualifiedClassPath();
         }
         if (className == null || className.length() == 0) {
-            LOG.log(Level.FINE, "No BootstrapCacheLoaderFactory class specified. Skipping...");
+            LOG.debug("No BootstrapCacheLoaderFactory class specified. Skipping...");
         } else {
             BootstrapCacheLoaderFactory factory = (BootstrapCacheLoaderFactory)
                     ClassLoaderUtil.createNewInstance(className);
@@ -243,7 +244,7 @@
             className = factoryConfiguration.getFullyQualifiedClassPath();
         }
         if (className == null || className.length() == 0) {
-            LOG.log(Level.FINE, "No CacheExceptionHandlerFactory class specified. Skipping...");
+            LOG.debug("No CacheExceptionHandlerFactory class specified. Skipping...");
         } else {
             CacheExceptionHandlerFactory factory = (CacheExceptionHandlerFactory)
                     ClassLoaderUtil.createNewInstance(className);
@@ -271,7 +272,7 @@
                 className = factoryConfiguration.getFullyQualifiedClassPath();
             }
             if (className == null) {
-                LOG.log(Level.FINE, "No CachePeerProviderFactoryConfiguration specified. Not configuring a CacheManagerPeerProvider.");
+                LOG.debug("No CachePeerProviderFactoryConfiguration specified. Not configuring a CacheManagerPeerProvider.");
                 return null;
             } else {
                 CacheManagerPeerProviderFactory cacheManagerPeerProviderFactory =
@@ -303,7 +304,7 @@
                 className = factoryConfiguration.getFullyQualifiedClassPath();
             }
             if (className == null) {
-                LOG.log(Level.FINE, "No CachePeerListenerFactoryConfiguration specified. Not configuring a CacheManagerPeerListener.");
+                LOG.debug("No CachePeerListenerFactoryConfiguration specified. Not configuring a CacheManagerPeerListener.");
                 return null;
             } else {
                 CacheManagerPeerListenerFactory cacheManagerPeerListenerFactory = (CacheManagerPeerListenerFactory)
@@ -331,7 +332,7 @@
             className = cacheManagerEventListenerFactoryConfiguration.getFullyQualifiedClassPath();
         }
         if (className == null || className.length() == 0) {
-            LOG.log(Level.FINE, "No CacheManagerEventListenerFactory class specified. Skipping...");
+            LOG.debug("No CacheManagerEventListenerFactory class specified. Skipping...");
             return null;
         } else {
             CacheManagerEventListenerFactory factory = (CacheManagerEventListenerFactory)
Index: src/main/java/net/sf/ehcache/config/BeanHandler.java
===================================================================
--- src/main/java/net/sf/ehcache/config/BeanHandler.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/config/BeanHandler.java	(working copy)
@@ -16,18 +16,18 @@
 
 package net.sf.ehcache.config;
 
-import org.xml.sax.Attributes;
-import org.xml.sax.Locator;
-import org.xml.sax.SAXException;
-import org.xml.sax.helpers.DefaultHandler;
-
 import java.lang.reflect.Constructor;
 import java.lang.reflect.InvocationTargetException;
 import java.lang.reflect.Method;
 import java.lang.reflect.Modifier;
 import java.util.ArrayList;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+import org.xml.sax.Attributes;
+import org.xml.sax.Locator;
+import org.xml.sax.SAXException;
+import org.xml.sax.helpers.DefaultHandler;
 
 /**
  * A SAX handler that configures a bean.
@@ -38,7 +38,7 @@
  */
 final class BeanHandler extends DefaultHandler {
 
-    private static final Logger LOG = Logger.getLogger(BeanHandler.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(BeanHandler.class);
     private final Object bean;
     private ElementInfo element;
     private Locator locator;
@@ -210,9 +210,7 @@
             } else {
                 //allow references to an XML schema but do not use it
                 if (element.elementName.equals("ehcache")) {
-                    if (LOG.isLoggable(Level.FINE)) {
-                        LOG.log(Level.FINE, "Ignoring ehcache attribute " + attrName);
-                    }
+                    LOG.debug("Ignoring ehcache attribute {}", attrName);
                     return;
                 }
             }
Index: src/main/java/net/sf/ehcache/config/ConfigurationFactory.java
===================================================================
--- src/main/java/net/sf/ehcache/config/ConfigurationFactory.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/config/ConfigurationFactory.java	(working copy)
@@ -16,11 +16,6 @@
 
 package net.sf.ehcache.config;
 
-import net.sf.ehcache.CacheException;
-import net.sf.ehcache.util.ClassLoaderUtil;
-
-import javax.xml.parsers.SAXParser;
-import javax.xml.parsers.SAXParserFactory;
 import java.io.BufferedInputStream;
 import java.io.ByteArrayInputStream;
 import java.io.File;
@@ -32,11 +27,18 @@
 import java.net.URL;
 import java.util.HashSet;
 import java.util.Set;
-import java.util.logging.Level;
-import java.util.logging.Logger;
 import java.util.regex.Matcher;
 import java.util.regex.Pattern;
 
+import javax.xml.parsers.SAXParser;
+import javax.xml.parsers.SAXParserFactory;
+
+import net.sf.ehcache.CacheException;
+import net.sf.ehcache.util.ClassLoaderUtil;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
 /**
  * A utility class which configures beans from XML, using reflection.
  *
@@ -45,7 +47,7 @@
  */
 public final class ConfigurationFactory {
 
-    private static final Logger LOG = Logger.getLogger(ConfigurationFactory.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(ConfigurationFactory.class);
 
     private static final String DEFAULT_CLASSPATH_CONFIGURATION_FILE = "/ehcache.xml";
     private static final String FAILSAFE_CLASSPATH_CONFIGURATION_FILE = "/ehcache-failsafe.xml";
@@ -65,9 +67,7 @@
             throw new CacheException("Attempt to configure ehcache from null file.");
         }
 
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "Configuring ehcache from file: " + file.toString());
-        }
+        LOG.debug("Configuring ehcache from file: {}", file.toString());
         Configuration configuration = null;
         InputStream input = null;
         try {
@@ -81,7 +81,7 @@
                     input.close();
                 }
             } catch (IOException e) {
-                LOG.log(Level.SEVERE, "IOException while closing configuration input stream. Error was " + e.getMessage());
+                LOG.error("IOException while closing configuration input stream. Error was {}", e.getMessage());
             }
         }
         return configuration;
@@ -91,9 +91,7 @@
      * Configures a bean from an XML file available as an URL.
      */
     public static Configuration parseConfiguration(final URL url) throws CacheException {
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "Configuring ehcache from URL: " + url);
-        }
+        LOG.debug("Configuring ehcache from URL: {}", url);
         Configuration configuration;
         InputStream input = null;
         try {
@@ -107,7 +105,7 @@
                     input.close();
                 }
             } catch (IOException e) {
-                LOG.log(Level.SEVERE, "IOException while closing configuration input stream. Error was " + e.getMessage());
+                LOG.error("IOException while closing configuration input stream. Error was {}", e.getMessage());
             }
         }
         return configuration;
@@ -126,15 +124,11 @@
             url = ConfigurationFactory.class.getResource(DEFAULT_CLASSPATH_CONFIGURATION_FILE);
         }
         if (url != null) {
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.log(Level.FINE, "Configuring ehcache from ehcache.xml found in the classpath: " + url);
-            }
+            LOG.debug("Configuring ehcache from ehcache.xml found in the classpath: {}", url);
         } else {
             url = ConfigurationFactory.class.getResource(FAILSAFE_CLASSPATH_CONFIGURATION_FILE);
-            if (LOG.isLoggable(Level.WARNING)) {
-                LOG.log(Level.WARNING, "No configuration found. Configuring ehcache from ehcache-failsafe.xml "
-                        + " found in the classpath: " + url);
-            }
+            LOG.warn("No configuration found. Configuring ehcache from ehcache-failsafe.xml "
+                    + " found in the classpath: {}", url);
         }
         return parseConfiguration(url);
     }
@@ -143,9 +137,7 @@
      * Configures a bean from an XML input stream.
      */
     public static Configuration parseConfiguration(final InputStream inputStream) throws CacheException {
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "Configuring ehcache from InputStream");
-        }
+        LOG.debug("Configuring ehcache from InputStream");
 
         Configuration configuration = new Configuration();
         try {
@@ -186,18 +178,14 @@
 
             String property = System.getProperty(trimmedToken);
             if (property == null) {
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, "Did not find a system property for the " + token +
-                            " token specified in the configuration.Replacing with \"\"");
-                }
+                LOG.debug("Did not find a system property for the {}" +
+                        " token specified in the configuration.Replacing with \"\"", token);
             } else {
                 //replaceAll by default clobbers \ and $
                 String propertyWithQuotesProtected = Matcher.quoteReplacement(property);
                 configuration = configuration.replaceAll("\\$\\{" + trimmedToken + "\\}", propertyWithQuotesProtected);
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, "Found system property value of " + property + " for the " + token +
-                            " token specified in the configuration.");
-                }
+                LOG.debug("Found system property value of {} for the {}" +
+                        " token specified in the configuration.", property, token);
             }
         }
         return new ByteArrayInputStream(configuration.getBytes());
Index: src/main/java/net/sf/ehcache/exceptionhandler/ExceptionHandlingDynamicCacheProxy.java
===================================================================
--- src/main/java/net/sf/ehcache/exceptionhandler/ExceptionHandlingDynamicCacheProxy.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/exceptionhandler/ExceptionHandlingDynamicCacheProxy.java	(working copy)
@@ -16,14 +16,15 @@
 
 package net.sf.ehcache.exceptionhandler;
 
-import net.sf.ehcache.Ehcache;
-
 import java.lang.reflect.InvocationHandler;
 import java.lang.reflect.Method;
 import java.lang.reflect.Proxy;
-import java.util.logging.Level;
-import java.util.logging.Logger;
 
+import net.sf.ehcache.Ehcache;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
 
 /**
  * A dynamic proxy which provides CacheException handling.
@@ -51,7 +52,7 @@
  */
 public final class ExceptionHandlingDynamicCacheProxy implements InvocationHandler {
 
-    private static final Logger LOG = Logger.getLogger(ExceptionHandlingDynamicCacheProxy.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(ExceptionHandlingDynamicCacheProxy.class);
 
     private Ehcache ehcache;
 
@@ -143,9 +144,7 @@
                     causeAsException = (Exception) cause;
                 } catch (ClassCastException cce) {
                     //we only handle exceptions, not errors.
-                    if (LOG.isLoggable(Level.FINE)) {
-                        LOG.log(Level.FINE, "Underlying cause was not an Exception: " + cce);
-                    }
+                    LOG.debug("Underlying cause was not an Exception: ", cce);
                 }
 
                 cacheExceptionHandler.onException(ehcache, keyAsString, causeAsException);
